Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_CORBALOC_Parser Class Reference

Implements the <corbaloc:> IOR format. More...

`#include <CORBALOC_Parser.h>`

Inheritance diagram for TAO_CORBALOC_Parser

[legend]
Collaboration diagram for TAO_CORBALOC_Parser:

[legend]
List of all members.

## Public Methods
| TAO_CORBALOC_Parser (void)
| Constructor.
virtual | ~TAO_CORBALOC_Parser (void)
| The destructor.
virtual int | match_prefix (const char *ior_string) const
| = The IOR_Parser methods, please read the documentation in IOR_Parser.h.
virtual CORBA::Object_ptr | parse_string (const char *ior, CORBA::ORB_ptr orb, CORBA::Environment &) throw (CORBA::SystemException)
| Parse the ior-string that is passed.
## Private Methods
virtual int | check_prefix (const char *endpoint, CORBA::Environment &ACE_TRY_ENV) throw (CORBA::SystemException)
| Checks the prefix to see if it is RIR.
virtual void | parse_string_count_helper (const char * &corbaloc_name, CORBA::ULong &addr_list_length, CORBA::ULong &count_addr, CORBA::Environment &) throw (CORBA::SystemException)
| Helps count the length of the <obj_addr_list> and the number of individual <obj_addr> in the <obj_addr_list>.
virtual void | parse_string_mprofile_helper (const char * end_point, CORBA::ORB_ptr orb, TAO_MProfile &mprofile, CORBA::Environment &) throw (CORBA::SystemException)
virtual CORBA::Object_ptr | make_stub_from_mprofile (CORBA::ORB_ptr orb, TAO_MProfile &mprofile, CORBA::Environment &) throw (CORBA::SystemException)
virtual CORBA::Object_ptr | parse_string_rir_helper (const char * &corbaloc_name, CORBA::ORB_ptr orb, CORBA::Environment &) throw (CORBA::SystemException)
| Gets the pointer to the key_string when the protocol used is RIR.
virtual void | parse_string_assign_helper (CORBA::ULong &addr_list_length, ACE_CString &key_string, ACE_CString &cloc_name, CORBA::ORB_ptr orb, TAO_MProfile &mprofile, CORBA::Environment &) throw (CORBA::SystemException)
| Tokenizes the <obj_addr_list> using "," as the seperator. Assigns individual endpoints to the elements of the ACE_Array_Base.
virtual void | assign_key_string (char * &cloc_name_ptr, ACE_CString &key_string, CORBA::ULong &addr_list_length, CORBA::ORB_ptr orb, TAO_MProfile &mprofile, CORBA::Environment &) throw (CORBA::SystemException)

## Detailed Description

Implements the <corbaloc:> IOR format.

This class implements the <corbaloc:> IOR format. It is dynamically loaded by the ORB and used to parse the string to separate the individual <obj_addr> from the list of object addresses <obj_addr_list>.

## Constructor & Destructor Documentation

ACE_INLINE TAO_CORBALOC_Parser::TAO_CORBALOC_Parser ( | void )

| Constructor.

TAO_CORBALOC_Parser::~TAO_CORBALOC_Parser ( | void )`[virtual]`

| The destructor.

## Member Function Documentation

void TAO_CORBALOC_Parser::assign_key_string ( | char *& cloc_name_ptr,
| ACE_CString & key_string,
| CORBA::ULong & addr_list_length,
| CORBA::ORB_ptr orb,
| TAO_MProfile & mprofile,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[private, virtual]`

| Helps parse_string_assign_helper by assigning in the case when the protocol name is present and we have to append jsut the key string.

int TAO_CORBALOC_Parser::check_prefix ( | const char * endpoint,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[private, virtual]`

| Checks the prefix to see if it is RIR.

CORBA::Object_ptr TAO_CORBALOC_Parser::make_stub_from_mprofile ( | CORBA::ORB_ptr orb,
| TAO_MProfile & mprofile,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[private, virtual]`

| Make a stub from the MProfile that is created in parse_string_mprofile_helper. Using this stub, create an object reference which is sent to the application.

int TAO_CORBALOC_Parser::match_prefix ( | const char * ior_string ) const`[virtual]`

| = The IOR_Parser methods, please read the documentation in IOR_Parser.h. Reimplemented from TAO_IOR_Parser.

CORBA::Object_ptr TAO_CORBALOC_Parser::parse_string ( | const char * ior,
| CORBA::ORB_ptr orb,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[virtual]`

| Parse the ior-string that is passed. Reimplemented from TAO_IOR_Parser.

void TAO_CORBALOC_Parser::parse_string_assign_helper ( | CORBA::ULong & addr_list_length,
| ACE_CString & key_string,
| ACE_CString & cloc_name,
| CORBA::ORB_ptr orb,
| TAO_MProfile & mprofile,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[private, virtual]`

| Tokenizes the <obj_addr_list> using "," as the seperator. Assigns individual endpoints to the elements of the ACE_Array_Base.

void TAO_CORBALOC_Parser::parse_string_count_helper ( | const char *& corbaloc_name,
| CORBA::ULong & addr_list_length,
| CORBA::ULong & count_addr,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[private, virtual]`

| Helps count the length of the <obj_addr_list> and the number of individual <obj_addr> in the <obj_addr_list>.

void TAO_CORBALOC_Parser::parse_string_mprofile_helper ( | const char * end_point,
| CORBA::ORB_ptr orb,
| TAO_MProfile & mprofile,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[private, virtual]`

| Creates a MProfile for the endpoint passed and each such mprofile is added to the big mprofile <mprofile_> from which a pointer to the Object represented by the key_string is obtained and passed to the application.

CORBA::Object_ptr TAO_CORBALOC_Parser::parse_string_rir_helper ( | const char *& corbaloc_name,
| CORBA::ORB_ptr orb,
| CORBA::Environment & ACE_TRY_ENV ) throw (CORBA::SystemException)`[private, virtual]`

| Gets the pointer to the key_string when the protocol used is RIR.

The documentation for this class was generated from the following files:

- CORBALOC_Parser.h
- CORBALOC_Parser.cpp
- CORBALOC_Parser.i